package net.northking.cctp.scriptcase.dto.ats;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class AtsScenarioExecute {
    /**
     * projectId	系统Id	Long	是
     * scriptId	脚本Id	Long	是
     * environmentId	环境Id	Long	是
     * executionService	执行机编码	String 	是
     * dataSet	数据集数据	Map	是
     * type	Ui调用类型	String	Ui脚本/用例/计划调用
     * uiScriptName	Ui脚本名称	String	Ui脚本名称
     * executorName	ui执行人名称	String	ui脚本执行人名称
     */
    @ApiModelProperty("系统Id")
    @NotNull(message = "系统id不能为空")
    private Long projectId;
    @ApiModelProperty(value = "执行脚本id")
    @NotNull(message = "脚本id不能为空")
    private Long scriptId;

    @ApiModelProperty(value = "执行环境id")
    private Long environmentId;
    @ApiModelProperty(value = "环境组别id")
    private Long environmentGroupId;

    @ApiModelProperty(value = "执行机组编码")
    @NotBlank(message = "执行机组编码不能为空")
    private String executionService;

    @ApiModelProperty(value = "UI调用类型：Ui脚本/用例/计划名称")
    @NotBlank(message = "UI调用类型名称不能为空")
    private String type;

    @ApiModelProperty(value = "脚本名称")
    @NotBlank(message = "脚本名称不能为空")
    private String uiScriptName;

    @ApiModelProperty(value = "执行人名称")
    private String executorName;


    @ApiModelProperty(value = "传入redis 缓存key")
    private String executionKey;

    @ApiModelProperty(value = "数据集id")
    private Long dataSetId;
    @ApiModelProperty(value = "轮次选择数据")
    private Long cycleId;


    public String getExecutionKey() {
        return executionKey;
    }

    public void setExecutionKey(String executionKey) {
        this.executionKey = executionKey;
    }


    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getScriptId() {
        return scriptId;
    }

    public void setScriptId(Long scriptId) {
        this.scriptId = scriptId;
    }

    public Long getEnvironmentId() {
        return environmentId;
    }

    public void setEnvironmentId(Long environmentId) {
        this.environmentId = environmentId;
    }

    public Long getEnvironmentGroupId() {
        return environmentGroupId;
    }

    public void setEnvironmentGroupId(Long environmentGroupId) {
        this.environmentGroupId = environmentGroupId;
    }

    public String getExecutionService() {
        return executionService;
    }

    public void setExecutionService(String executionService) {
        this.executionService = executionService;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUiScriptName() {
        return uiScriptName;
    }

    public void setUiScriptName(String uiScriptName) {
        this.uiScriptName = uiScriptName;
    }

    public String getExecutorName() {
        return executorName;
    }

    public void setExecutorName(String executorName) {
        this.executorName = executorName;
    }

    public Long getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(Long dataSetId) {
        this.dataSetId = dataSetId;
    }

    public Long getCycleId() {
        return cycleId;
    }

    public void setCycleId(Long cycleId) {
        this.cycleId = cycleId;
    }
}
